> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Node Connections

> Returns all node connections for the caller's company.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public get /connections/nodes
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /connections/nodes:
    get:
      tags:
        - Node Connections
      summary: List Node Connections
      description: Returns all node connections for the caller's company.
      parameters:
        - description: true = only write-enabled nodes, false = only read-enabled nodes
          in: query
          name: writeable
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/nodeconn.NodeConnStatus'
                type: array
          description: node URLs plus current connectivity/permission status
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid query parameter
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: server error while retrieving nodes
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    nodeconn.NodeConnStatus:
      properties:
        id:
          description: Node Connection ID
          type: string
        message:
          description: Message recieved by the Node if the connection failed
          type: string
        name:
          description: Node Connection Name
          type: string
        read:
          description: Non-authoritative check if you have read permissions
          type: string
        status:
          description: Node Connection Status, true or false
          type: boolean
        url:
          description: Node Connection URL 'wss://node.domain.com/node'
          type: string
        write:
          description: Non-authoritative check if you have write permissions
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````